﻿
## Standalone Ancient Scepter
- Adds the Ancient Scepter from Risk of Rain 1 as a standalone mod
- Code is almost entirely by ThinkInvisible, this is merely a port of that, without the TILER2 dependency and with a custom model

[![](https://media.discordapp.net/attachments/849798075001864214/893641536443674634/unknown.png?width=1144&height=591)
]()

[![](https://cdn.discordapp.com/attachments/755273690131988522/814607241532407818/unknown.png)]()

[![](https://media.discordapp.net/attachments/849798075001864214/889274013493387284/Scepter.png)]()

## Credits
ThinkInvisible - Original code and implementation
DestroyedClone - Ported to a standalone item, Maintainer
rob - Fixed code
bruh and redacted - Made the Scepter model
swuff - Updated Textures, Consultation
QandQuestion - Lore
Moffein - Consultation
/vm/ - Etc
Mico27 - Orb creation help

## Upgrades
    - Commando: Suppressive Fire > Death Blossom (2x shots, fire rate, and accuracy. 2x autoaim range, hold primary fire to fire normally)  
	    - -OR-  Grenade > Carpet Bomb (0.5x damage, throw a spread of 8 at once)
    - Huntress: Arrow Rain > Burning Rain (1.5x duration and radius, burns)  
	    - -OR-  Ballista > Rabauld (5 extra weaker projectiles per shot, for 2.5x TOTAL damage)
    - Bandit: Lights Out > Assassinate (2x bullets)
	    - -OR-  Desperado > Renegade (25% (+0.35% per token) chance to ricochet to another enemy on hit up to 8 times within 30m. -10% distance & damage per bounce. Unaffected by luck.) 
    - MUL-T: Transport Mode > Breach Mode (0.5x incoming damage, 2x duration; after stopping, retaliate with a stunning explosion for 100% of unmodified damage taken)
    - Engineer: TR12 Gauss Auto-Turret > TR12-C Gauss Compact (+1 stock, +1 placed turret cap)  
	    - -OR-  TR58 Carbonizer Turret > TR58-C Carbonizer Mini (+2 stock, +2 placed turret cap)
    - Artificer: Flamethrower > Dragon's Breath (hits leave lingering fire clouds)  
	    - -OR-  Ion Surge > Antimatter Surge (2x damage, 4x radius)
    - Mercenary: Eviscerate > Massacre (2x duration, kills refresh duration [hold special to leave early])  
	    - -OR-  Slicing Winds > Gale-Force (4x stock and recharge speed, fires all charges at once)
    - REX: Tangling Growth > Chaotic Growth (2x radius, pulses additional random debuffs)  
	    - -OR-  DIRECTIVE: Harvest > COMMAND: Reap (Spawns extra fruit that gives random buffs)
    - Loader: Charged Gauntlet > Megaton Gauntlet (2x damage and lunge speed, 7x knockback)  
	    - -OR-  Thunder Gauntlet > Thundercrash (3x lightning bolts fired, cone AoE becomes sphere)
    - Acrid: Epidemic > Plague (victims become walking sources of Plague, chains infinitely)
    - Captain: Orbital Probe > 21-Probe Salute (1/3 damage, 7x shots, hold primary to fire continuously)
	    - -OR-  OGM-72 'DIABLO' Strike > PHN-8300 'Lilith' Strike (30s, 2x blast radius, 100,000% damage, blights everyone in line of sight)
    - Heretic: Nevermore (Special) > Perish Song (After 30 seconds, deals 5000% fatal damage to you and nearby enemies.)

    - Alloy Vulture: Windblade > Repeated Windblade (50% chance to fire twice)
    - Aurelionite: Eye Laser > Piercing Eye Laser (Additional 35% of damage dealt pierces walls)

## To-Do
* New assets
* Add autoaim to Commando's Death Blossom
* Mithrix Scepter


## Changelog
`1.0.4`
- ❌Blacklisted from being copied by TinkersSatchel's "Mostly-Tame Mimic" to prevent accidental rerolls.
- 🛠️Merged config option to reroll duplicates into: Disabled, Random, and Scrap.
	- Scrap option allows extra to reroll into red scrap.
- 🛠️Increased radius of Commando's "Death Blossom".
	- Holding down primary fire while using the skill switches back to the vanilla aim radius.
- 🛠️Added option to Mercernary's "Massacre", allowing the user to exit early to prevent softlocks; especially with with SkillsPlusPlus.
	- Hold down your special ability to exit early.
- ➕Added missing scepter skills for Captain's "Diablo Strike", Bandit's "Lights Out" and "Desperado", and Heretic's "Nevermore".
- ➕Added new skills for Aurelionite's Laser, and Alloy Vulture's Windblade. 
- ➕Updated Assets and Lore
- ➕Updated Readme
- 🛠️Updated internal names to be more independent of ClassicItems

`1.0.3`
- 🛠️Made ItemDef public so other mods can access it for their display rules

`1.0.2`
- 🛠️Fixed for latest RoR2 version

`1.0.1`
- 🛠️Fixed REX's upgrade not applying debuffs
- 🛠️Fixed Captain's upgrade not having a skill icon
- ➕Added item display for Bandit

`1.0.0`
- Initial release